%define name menudrake
%define version 0.6.1
%define release 5mdk

Summary: Menudrake is a little application for editing menu.
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.bz2
Copyright: GPL
Group: System/Configuration/Other
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires: libglade0-devel xml-i18n-tools gtk+mdk-devel >= 0.1.5
Obsoletes: DrakeMenu
Requires: menu >= 2.1.5-46mdk

%description
menudrake is a menu editor for the mandrake distribution.

%prep
%setup -q

%build
%configure 
%make
 
%install
%makeinstall
mkdir -p $RPM_BUILD_ROOT%{_iconsdir} $RPM_BUILD_ROOT/%{_liconsdir} $RPM_BUILD_ROOT%{_miconsdir}
mv $RPM_BUILD_ROOT%{_datadir}/%{name}/%{name}16.xpm $RPM_BUILD_ROOT%{_miconsdir}/%{name}.xpm
mv $RPM_BUILD_ROOT%{_datadir}/%{name}/%{name}32.xpm $RPM_BUILD_ROOT%{_iconsdir}/%{name}.xpm
mv $RPM_BUILD_ROOT%{_datadir}/%{name}/%{name}48.xpm $RPM_BUILD_ROOT%{_liconsdir}/%{name}.xpm
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): command="%{_bindir}/%{name}" needs="X11" \
section="Configuration/Other" icon="%{name}.xpm" \
title="Menudrake" longtitle="Menu editor"
EOF

%{find_lang} %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}

%postun
%{clean_menus}

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog
%{_bindir}/*
%{_datadir}/%{name}
%{_menudir}/%{name}
%{_iconsdir}/%{name}.xpm
%{_liconsdir}/%{name}.xpm
%{_miconsdir}/%{name}.xpm

%changelog
* Thu Apr 12 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.6.1-5mdk
- Add more icon path for KDE folks

* Fri Apr  6 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.6.1-4mdk
- Correct segfault when not able to open menu file

* Wed Apr  4 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.6.1-3mdk
- Correct look of toolbar

* Tue Apr  3 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.6.1-2mdk
- New cvs snapshot : security check before launching browser

* Fri Mar 30 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.6.1-1mdk
- Release 0.6.1 :
    - add links to MandrakeExpert and MandrakeCampus

* Wed Mar 21 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.6-1mdk
- Release 0.6 :
	- command line from DrakConf
	- remove all known crashed

* Tue Feb 27 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.5-2mdk
- Correct locales

* Tue Feb 27 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.5-1mdk
- Release 0.5 :
	- add support for root vs system menus
	- display correctly progress bar when reloading menu

* Tue Feb 20 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.4.1-1mdk
- Release 0.4.1:
	- add warning when changing Mdk customizations
	- correct russian charset
	- correct some dialog closing

* Fri Feb  9 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.4-1mdk
- Release 0.4 : 
  - add support for disabling mandrake customizations
  - use new waitbar from gtk+mdk when generating menu

* Tue Feb  6 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.3-1mdk
- Release 0.3 (based on libglade)

* Mon Oct 16 2000 Vincent Saugey <vince@mandrakesoft.com> 0.2-4mdk
- Add charset for kde endocing to utf8

* Mon Oct  9 2000 Vincent Saugey <vince@mandrakesoft.com> 0.2-3mdk
- add some translation

* Thu Oct  5 2000 Vincent Saugey <vince@mandrakesoft.com> 0.2-2mdk
- add po
-Fix small bug in internationalisation

* Fri Sep 29 2000 Vincent Saugey <vince@mandrakesoft.com> 0.2-1mdk
- Up to 0.2
- system menu edition
- dialog box at exit application if change
- internationalization
- clean code of objmenu
- fix menu callback

* Tue Sep 12 2000 Vincent Saugey <vince@mandrakesoft.com> 0.1beta-13mdk
- Patch for more robust to different menu context with similar dir
- Merge save and update menu
- Some updates in french po

* Fri Sep  8 2000 Vincent Saugey <vince@mandrakesoft.com> 0.1beta-12mdk
- Now remove initial / on section
- Adding eventbox, for ritgh tracing pixmap in icon selector

* Wed Sep  6 2000 Vincent Saugey <vince@mandrakesoft.com> 0.1beta-11mdk
- Fix adding with not a correct context

* Mon Sep  4 2000 Vincent Saugey <vince@mandrakesoft.com> 0.1beta-10mdk
- corrected menu file terminated without '\n' (thanx to fred) 

* Fri Sep  1 2000 Vincent Saugey <vince@mandrakesoft.com> 0.1beta-9mdk
- Add menu entry
- Add mandrake pictures

* Thu Aug 31 2000 Vincent Saugey <vince@mandrakesoft.com> 0.1beta-8mdk
- other fix (gtk with debug compile)

* Wed Aug 30 2000 Vincent Saugey <vince@mandrakesoft.com> 0.1beta-7mdk
- Some small fix

* Tue Aug 29 2000 Vincent Saugey <vince@mandrakesoft.com> 0.1beta-6mdk
- Many change 
- Many fix
- Adding toolbar

* Mon Aug 21 2000 Vincent Saugey <vince@mandrakesoft.com> 0.1beta-5mdk
- Change save procedure, now let comment system entries in file
- Many clean and code
- Adding default on doubleclick
- Many others little thinks

* Fri Aug 18 2000 Vincent Saugey <vince@mandrakesoft.com> 0.1beta-4mdk
- Change default size of icon
- Now it possible to add, modify, delete extended argument
- clean code
- only view the extended argument

* Thu Aug 17 2000 Vincent Saugey <vince@mandrakesoft.com> 0.1beta-3mdk
- Add French Translation

* Thu Aug 10 2000 Vincent Saugey <vince@mandrakesoft.com> 0.1beta-2mdk
- Add a menu entry to launch update menu

* Thu Aug 10 2000 Vincent Saugey <vince@mandrakesoft.com> 0.1beta-1mdk
- First beta release

